from functions import check_insurance
import time
import fdb


# MEDICUS local CFG (table already created as per previous DDL)
MEDICUS_CFG = dict(
    dsn=r"192.168.1.4:z:\medicus 3\data\medicus.fdb",
    user="SYSDBA",
    password="masterkey",
    charset="win1250"
)
conn=fdb.connect(**MEDICUS_CFG)

cur=conn.cursor()
cur.execute("select rodcis, prijmeni, jmeno from kar where rodcis starting with '8'")

rows=cur.fetchall()
print(len(rows))

for row in rows:
    print(row[0], row[1],row[2])
    print(check_insurance(row[0]))
    time.sleep(.25)